bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#9113: 24.0.50; auth-sources: .authinfo versus .authinfo.gpg


From: Ted Zlatanov
Subject: bug#9113: 24.0.50; auth-sources: .authinfo versus .authinfo.gpg
Date: Thu, 26 Jan 2012 09:32:38 -0600
User-agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.92 (gnu/linux)

On Wed, 25 Jan 2012 21:02:12 -0500 Stefan Monnier <address@hidden> wrote: 

>> The Emacs maintainers asked me to make the default unencrypted.  I don't
>> think they will change their position.

SM> I can't remember exactly how we got there.  But I do agree that saving
SM> a password unencrypted by default is not a good idea.

I don't recall exactly either.  But here's how we can proceed.  We have
several options:

1) go back to authinfo.gpg as the first choice

2) use unencrypted authinfo with encrypted password tokens, which looks like 
this:

machine supertest password 
gpg:jA0EAwMC2tUEaZgM7A5gyWM/owySdCOS/cjoFCuf8LI1d1kYX7z6cjsNkakM04u1geh/iesqyH3XQFI+SEVLb/oEC/EoQ0LIgRRoBiLyu9XZWN1ytY7MQxpPZniFz13oGV4/Dwl8yrP3Hba5LfQpHy2FZRM=

3) work on the libnettle support (automatic if we use GnuTLS) so the
external GPG executable is not needed to generate encrypted password
tokens or encrypted authinfo files

4) use Daiki Ueno's plist storage format (already in auth-source but not
well tested AFAIK)

5) ask the user if he has no authinfo file what he wants to do, and
choose sensible defaults from the above depending on whether EPA/EPG and
GPG; or libnettle are available.  If we do that, `auth-sources' will be
set to 'ask by default.

Additionally, we should decide if any of this is happening for 24.1.  I
would really prefer to make the default more secure for 24.1.

Ted





reply via email to

[Prev in Thread] Current Thread [Next in Thread]